<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('members', function (Blueprint $table) {
            $table->string('telephone_mobile')->after('postal_code')->nullable();
            $table->string('telephone_res')->after('telephone_mobile')->nullable();
            $table->string('telephone_office')->after('telephone_res')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('members', function (Blueprint $table) {
            $table->dropColumn('telephone_mobile');
            $table->dropColumn('telephone_res');
            $table->dropColumn('telephone_office');
        });
    }
};
